%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define oversion 0.0.8

Name:		aften
Version:	0.08
Release:	%mkrel 2
Summary:	An A/52 (aka AC-3) audio encoder
License:	GPLv2+ and LGPLv2+ and BSD
Group:		Sound
URL:		http://aften.sourceforge.net/
Source:		http://sourceforge.net/projects/aften/files/%{name}/%{version}/%{name}-%{oversion}.tar.xz
BuildRequires:	cmake
Requires:	%{libname}

%description
Aften is an audio encoder which generates compressed audio streams based on
ATSC A/52 specification. This type of audio is also known as AC-3 or Dolby®
Digital and is one of the audio codecs used in DVD-Video content.

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries
Obsoletes:	lib%{name}0
Provides:	lib%{name}0 = %{version}-%{release}

%description -n	%{libname}
This package provides the library for %{name}.

#----------------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	lib%{name}-devel
Provides:	lib%{name}-devel = %{version}-%{release}


%description -n	%{develname}
This package contains development files for %{name}.

#----------------------------------------------------------------------------
%prep
%setup -q -n %{name}-%{oversion}

# fix for x86_64 build
sed -i -e "s|DESTINATION lib|DESTINATION %{_lib}|g" CMakeLists.txt

%build
%cmake \
	-DSHARED:STRING="yes"
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

%files
%doc COPYING README Changelog
%{_bindir}/*

%files -n %{libname}
%{_libdir}/libaften.so.%{major}
%{_libdir}/libaften.so.%{major}.*

%files -n %{develname}
%{_libdir}/libaften.so
%{_includedir}/%{name}/*.h


%changelog
* Sat Nov 21 2015 bb <bb> 0.08-2pclos2015
- fix library name but version is not correct
